\newenvironment{summary}
{\subsection*{\sf\bf Contents of the chapter}
\hspace*{5mm}\begin{minipage}[t]{12cm}\footnotesize
\begin{description}
}
{\end{description}\vspace{5mm}\end{minipage}}
\newcommand{\sumitem}[2]{\vspace{-4mm}\item[\ref{#1}] #2
\dotfill \pageref{#1}\\}
\newcommand{\subsumitem}[2]{
%\hspace*{5mm} \ref{#1} #2 
\ref{#1} #2 
\dotfill \pageref{#1}\\}

\newcommand{\csao}{{\sc Scade}}
\newcommand{\sao}{{\sc Sao}}

\newcommand{\sx}[1]{\mbox{$\langle$#1$\rangle$}}
%\newcommand{\lx}[1]{$'$#1$'$}
\newcommand{\lx}[1]{\fbox{#1}}
\newcommand{\is}{&$::=$&}
\newcommand{\ou}{\\ &$|$&}
\newcommand{\myor}{$\quad|\quad$}

\newcommand{\sxrule}[1]{\noindent\begin{tabular}{lcl} #1 \end{tabular}\\}

\newcommand{\kw}[1]{{\sf\bf #1}}

\newcommand{\mycbstart}{\addtolength{\changebarwidth}{2pt}\cbstart}
\newcommand{\mycbend}{\addtolength{\changebarwidth}{-2pt}\cbend}

\newenvironment{plus}
{\par{\bf [V3+]}\mycbstart\\}
{\par{\bf [end V3+]}\mbox{}\mycbend\par}

\newenvironment{four}
{\par{\bf [V4]}\mycbstart\\}
{\par{\bf [end V4]}\mbox{}\mycbend\par}

\newenvironment{five}
{\par{\bf [V5]}\mycbstart\\}
{\par{\bf [end V5]}\mbox{}\mycbend\par}

\newenvironment{academic}
{\par{\bf [V4 and V5]}\mycbstart\\}
{\par{\bf [end V4 and V5]}\mbox{}\mycbend\par}

\newcommand{\example}{\paragraph{Example}\nopagebreak[4]\mbox{}\\\nopagebreak[4]}

\newcommand{\tty}[1]{{\tt #1}}

\newcommand{\question}[1]{\par\noindent\fbox{\parbox[t]{10cm}{#1}}\par}

\newcommand{\pow}{{\tt \^{}}}
